import { jsx } from "react/jsx-runtime";
import { DoorOpen as DoorOpen$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const DoorOpen = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "DoorOpen", ...props, children: /* @__PURE__ */ jsx(DoorOpen$1, { weight: variant }) });
  }
);
DoorOpen.displayName = "DoorOpen";
Object.assign(DoorOpen, { isGdsIcon: true });
export {
  DoorOpen
};
